<template>
  <div class="frame frame-bg-04">
    <div class="center">
      <div class="circle-4 small"></div>
      <div class="circle-4 medium"></div>
      <div class="circle-4 large"></div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'Day04'
}
</script>

<style>
/* https://html-css-js.com/css/generator/box-shadow/ */
/* animation-direction: alternate // The animation is played forwards first, then backwards */
:root {
--cubic-bezier-4: cubic-bezier(0.21, 0.98, 0.6, 0.99);
}
.frame-bg-04 {
  background-color: #E56262;
}

.circle-4 {
  background-color: white;
  border-radius: 50%;
  -webkit-box-shadow: 10px 10px 15px 0 rgba(0, 0, 0, 0.3);
  box-shadow: 10px 10px 15px 0 rgba(0, 0, 0, 0.3);
}

.large {
  z-index: 1;
  width: 90px;
  height: 90px;
  animation: large-grow 2s var(--cubic-bezier-4) alternate infinite;
}

.medium {
  z-index: 2;
  position: absolute;
  top: 17%;
  left: 17%;
  width: 60px;
  height: 60px;
  animation: medium-grow 2s var(--cubic-bezier-4) alternate infinite;
}

.small {
  z-index: 3;
  position: absolute;
  top: 33%;
  left: 33%;
  width: 30px;
  height: 30px;
  animation: small-grow 2s var(--cubic-bezier-4) alternate infinite;
}

@keyframes large-grow {
  0% {
    transform: scale(0);
  }
  10% {
    transform: scale(0);
  }
  100% {
    transform: scale(1);
  }
}

@keyframes medium-grow {
  0% {
    transform: scale(0);
  }
  40% {
    transform: scale(0);
  }
  100% {
    transform: scale(1);
  }
}

@keyframes small-grow {
  0% {
    transform: scale(0);
  }
  70% {
    transform: scale(0);
  }
  100% {
    transform: scale(1);
  }
}


</style>
